Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo
Class JDOQueryInterruptedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.jdo.JDOException
                      javax.jdo.JDOCanRetryException
                          javax.jdo.JDOUserException
                              javax.jdo.JDOQueryInterruptedException

All Implemented Interfaces:
  java.io.Serializable

    public class JDOQueryInterruptedException

extends JDOUserException

This class represents exceptions caused when a query is cancelled by a user calling Query.cancel().

Since:
  3.0
See Also:
  Serialized Form

Constructor Summary
`JDOQueryInterruptedException()` Constructs a new `JDOQueryInterruptedException` without a detail message.
`JDOQueryInterruptedException(java.lang.String msg)` Constructs a new `JDOQueryInterruptedException` with the specified detail message.

Method Summary

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDOQueryInterruptedException

    public JDOQueryInterruptedException()

  Constructs a new `JDOQueryInterruptedException` without a detail message.

### JDOQueryInterruptedException

    public JDOQueryInterruptedException(java.lang.String msg)

  Constructs a new `JDOQueryInterruptedException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.